--- title: "Delete a scheduled search by name: Request" slug: "delete-a-scheduled-search-by-name-request" tags: ["Reference", "NDRC 4.x", "Customer", "Network Security", "NDR 4.x"] updated: 2026-09-09T18:07:45Z published: 2026-09-09T18:07:45Z canonical: "docs.trellix.com/delete-a-scheduled-search-by-name-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete a scheduled search by name: Request To delete a specific scheduled search as well as any associated search result reports, send the following request: `DELETE https://<IA_IP_address>:<port_number>/scheduledsearch/v1/watch/<user_name>/<scheduled_search_name>` Required header: ``` Cookie: px= ``` ### Options - IA_IP_address—The IP address of the NDR appliance running the NDR API. - port_number—The port number of the NDR appliance running the NDR API. - user_name—The name of the user. The user_name must be for a user who is logged in. - scheduled_search_name—The name of the scheduled search. It must be already created. - token—This token authenticates the session. By default, the session times out after 24 hours. ### Example `DELETE https://xxx.xxx.xxx.xxx:443/scheduledsearch/v1/watch/npadmin/test` Required header: ``` Cookie: px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx ``` ### Delete a scheduled search by name: Response ``` HTTP/1.1 [Response Code] [Response Message] Server: [Server] Date: [Date] Content-Type: [Content Type] ``` ###### Response fields - Response Code—A standard HTTP response code. - 200—Request successful; the specified information was deleted. - 410—Request unsuccessful because the name does not exist. - Response Message—A standard HTTP response message. - OK—Request successful; the specified information was deleted. - Gone—Request unsuccessful because the name does not exist. - Server—The server being used. - Date—Standard HTML date format. - Content Type—The response format. ###### Example ``` HTTP/1.1 200 OK Server: nginx Date: Thu, 28 Apr 2016 19:28:21 GMT Content-Type: application/json; charset=utf-8 ``` ### cURL code sample: Delete a scheduled search by name ``` curl -X DELETE -k -H "Content-Type: application/json" --cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" https://xxx.xxx.xxx.xxx:443/scheduledsearch/v1/watch/npadmin/test ``` This cURL sample includes the following options: - `-X DELETE`—This option specifies using the DELETE method. - `-k`—This option explicitly allows cURL to perform insecure SSL connections and transfers, which allows you to test your SSL connection without installing a CA certificate. - `-H "Content-Type: application/json"`—This header specifies that the request body is in JSON format. - `--cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"`—This option specifies the authentication token for this session. - `https://xxx.xxx.xxx.xxx:443/scheduledsearch/v1/watch/npadmin/test`—The scheduled search request URL. Replace `xxx.xxx.xxx.xxx` with the IP address of your NDR appliance. Replace `npadmin` with the name of the user who created the scheduled search. Replace `test` with the scheduled search to delete. ###### Results This example deletes the specified scheduled search and any associated search result reports.